Model Family
curl --request GET \
--url https://api.deepinfra.com/model-families/{family_name}import requests
url = "https://api.deepinfra.com/model-families/{family_name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.deepinfra.com/model-families/{family_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"developer": "<string>",
"featured_models": [
"<string>"
],
"pp_sections_out": [
{
"section_id": "<string>",
"title": "<string>",
"description": "<string>",
"entries": [
{
"model_name": "<string>",
"short_name": "<string>",
"pricing": {
"cents_per_sec": 123,
"short": "$0.15 / second",
"full": "$0.15 / second for 1080P, $0.10 / second for 720P",
"table": {
"columns": [
"resolution",
"$ cost per second"
],
"rows": [
[
"780P",
"$0.10"
],
[
"1080P",
"$0.15"
]
]
},
"type": "time"
},
"max_tokens": 123
}
],
"mf_description": ""
}
],
"meta_title": "<string>",
"meta_description": "<string>",
"faq_entries": [
{
"faq_id": "<string>",
"question": "<string>",
"answer": "<string>",
"order": 0
}
]
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models
Model Family
GET
/
model-families
/
{family_name}
Model Family
Path Parameters
Response
Successful Response
Model family name
Minimum string length:
1Model family title
Model family description
Model family developer organization
Show child attributes
Show child attributes
Meta title for SEO
Meta description for SEO
List of FAQ entries for this model family, ordered by their order field
Show child attributes
Show child attributes
⌘I